# Get details about a Payment Authorization

{% admonition type="warning" name="Coming Soon" %}
  This endpoint is currently undergoing development.. As such, minor changes or bugs may occur. If you encounter any issues, please contact your Belvo representative.
{% /admonition %}

Get the details about a specific Payment Authorization.

Endpoint: GET /payments/br/payment-authorizations/{payment_authorization_id}/
Version: 1.223.0
Security: basicAuth

## Header parameters:

  - `X-Belvo-API-Resource-Version` (string)
    Header indicating which version of the Payment API you want to use. Currently this is only applicable for Bank Accounts, Customers, and Payment Authorizations in Brazil. In the case that you are using our Payment Authorizations product, then you must send through this header set to Payments-BR.V2.

{% admonition type="warning" name="Coming Soon" %}
  This version is in Coming Soon. As such, minor changes or bugs may occur. If you encounter any issues, please contact your Belvo representative.
{% /admonition %}
    Enum: "Payments-BR.V2"

## Path parameters:

  - `payment_authorization_id` (string, required)
    The payment-authorization.id you want to get detailed information about.
    Example: "a3b92311-1888-449f-acaa-49ae28d68fcd"

## Response 200 fields (application/json):

  - `id` (string, required)
    The Belvo ID for the Payment Authorization.
    Example: "9fc68b84-f2d6-4142-b2ad-9d2d1ad70432"

  - `created_at` (string, required)
    The ISO-8601 timestamp of when the Payment Authorization was created.
    Example: "2025-05-20T09:55:02Z"

  - `updated_at` (string, required)
    The ISO-8601 timestamp of when the Payment Authorization was last updated.
    Example: "2025-05-20T09:55:02Z"

  - `status` (string, required)
    The current status of the Payment Authorization.
    Enum: "AWAITING_AUTHORIZATION", "PARTIALLY_ACCEPTED", "AUTHORIZED", "FAILED", "CONSUMED", "REVOKED"

  - `status_reason_code` (string,null, required)
    A code indicating the reason for the current status (when applicable). For a full list of possible codes and messages, please see our dedicated Error Codes and Messages article.

  - `status_reason_message` (string,null, required)
    A human-readable message explaining the reason for the current status (when applicable).

  - `status_updated_at` (string, required)
    The ISO-8601 timestamp of when the status was last updated.
    Example: "2025-05-20T09:55:02Z"

  - `authorized_at` (string,null, required)
    The ISO-8601 timestamp of when the Payment Authorization was authorized by the user.
    Example: "2025-05-20T09:55:02Z"

  - `external_id` (string,null, required)
    The merchant's internal ID for the authorization.
    Example: "c169a8a9-e9f5-48db-9f4a-818caef9356b"

  - `description` (string, required)
    An internal description used by the merchant only.
    Example: "Internal description used by the merchant only"

  - `return_url` (string, required)
    The URL where the user will be redirected after authorization.
    Example: "https://merchant.com/return"

  - `payment_method` (string, required)
    The payment method that was authorized.
    Enum: "PIX_OF_IMMEDIATE", "PIX_OF_SCHEDULED"

  - `payer` (object, required)
    Details regarding the payer.

  - `payer.customer` (string)
    The Belvo ID for the customer.
    Example: "533e7a9b-e6c7-4bd4-be79-3a3c3bd78044"

  - `payer.institution` (string)
    The Belvo ID of the institution that the payer will use.
    Example: "770932b4-8f1f-4b0f-8470-1c605903fdb2"

  - `payer.representative_identifier` (string)
    In the case that the customer is a business, the CPF of the representative authorized to make payments.
    Example: "12345678901122"

  - `beneficiary` (object, required)
    Details regarding the beneficiary of the payment.

  - `beneficiary.type` (string)
    The type of beneficiary account.
    Enum: "BANK_ACCOUNT"

  - `beneficiary.target` (string)
    The Belvo ID of the bank account that will receive funds.
    Example: "b6278377-f710-4d1a-a026-7bab757256d0"

  - `payment_method_configuration` (object, required)
    Configuration details for the payment method.

  - `charges` (array, required)
    A list of Charge IDs associated with the Payment Authorization.
    Example: ["7d159b21-9f25-4365-9fa2-734d20797819"]

  - `metadata` (object)
    Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.

{% admonition type="info" name="Metadata Limitations" %}
  You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
{% /admonition %}
    Example: {"internal_reference_id":"GGq73487w2"}

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


